
import React from 'react';
import Icon from 'react-icon-base';

const SlEnergy = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M595.344 895.28h0.175781h-0.175781zM595.344 895.28l-72.207 -379.377l261.584 -0.879883l-356.064 -514.304l72.208 417.376l-261.568 0.912109zM595.393 959.279c-1.72754 0 -3.45508 -0.0625 -5.15137 -0.19043 c-11.2959 -0.912109 -18.7842 -4.68848 -27.6641 -10.6562c-4.92773 -3.28027 -9.43945 -7.28027 -13.3916 -11.9365c-1.16797 -1.37598 -2.27246 -2.81641 -3.29688 -4.28809l-358.608 -474.608c-14.1602 -19.4082 -16.2402 -45.0244 -5.36035 -66.4326 c10.8643 -21.4082 32.832 -34.9766 56.9121 -35.1523l184.736 -1.34375l-58.0801 -342.192c-5.51953 -29.4082 10.1602 -58.7207 37.7598 -70.5283c8.22363 -3.53613 16.8633 -5.21582 25.3916 -5.21582c20.1123 0 36.6406 9.4082 49.041 26.4004l359.056 514.304 c14.1602 19.4082 16.2246 45.0566 5.36035 66.4326c-10.8643 21.4082 -32.832 34.9766 -56.9121 35.1523l-184.736 0.320312l57.4561 300.88c1.2002 4.84766 1.82422 9.87207 1.82422 15.0557c0 34.624 -27.5684 62.8477 -62.0645 63.9678 c-0.767578 0.0322266 -1.51953 0.0322266 -2.27148 0.0322266v0z"/></g>
    </Icon>
);

export default SlEnergy;
